<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
                  xmlns:tns="http://www.entaxy.ru/registry-schema-service/"
                  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
                  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                  name="system-management-service" targetNamespace="http://www.entaxy.ru/registry-schema-service/">
    <wsdl:types>
        <xsd:schema targetNamespace="http://www.entaxy.ru/registry-schema-service/" elementFormDefault="qualified">

            <xsd:element name="loadResourceRequest" type="tns:LoadResourceType"/>
            <xsd:complexType name="LoadResourceType">
                <xsd:sequence>
                    <xsd:element name="resourceValue" type="xsd:base64Binary"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="ResourceType" type="tns:ResourceType"/>
            <xsd:complexType name="ResourceType">
                <xsd:sequence>
                    <xsd:element name="id" type="xsd:long"/>
                    <xsd:element name="resourceValue" type="xsd:base64Binary"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="FullResourceType" type="tns:FullResourceType"/>
            <xsd:complexType name="FullResourceType">
                <xsd:sequence>
                    <xsd:element name="id" type="xsd:long"/>
                    <xsd:element name="createdBy" type="xsd:string"/>
                    <xsd:element name="createdDate" type="xsd:string"/>
                    <xsd:element name="editedBy" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="editedDate" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="resourceValue" type="xsd:base64Binary"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="removeResourceRequest" type="xsd:long"/>
            <xsd:element name="getResourceRequest" type="xsd:long"/>

            <xsd:element name="loadResourceInfoRequest" type="tns:ResourceInfoType"/>
            <xsd:complexType name="ResourceInfoType">
                <xsd:sequence>
                    <xsd:element name="name" type="xsd:string"/>
                    <xsd:element name="idResource" type="xsd:long"/>
                    <xsd:element name="version" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="description" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="convertor" type="xsd:boolean" wsdl:required="false"/>
                    <xsd:element name="namespace" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="namespaceOut" type="xsd:string" wsdl:required="false"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="editResourceInfoRequest" type="tns:EditedResourceInfoFullType"/>
            <xsd:complexType name="EditedResourceInfoFullType">
                <xsd:sequence>
                    <xsd:element name="id" type="xsd:long"/>
                    <xsd:element name="idResource" type="xsd:long"/>
                    <xsd:element name="name" type="xsd:string"/>
                    <xsd:element name="version" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="description" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="convertor" type="xsd:boolean" wsdl:required="false"/>
                    <xsd:element name="namespace" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="namespaceOut" type="xsd:boolean" wsdl:required="false"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="removeResourceInfoRequest" type="xsd:string"/>
            <xsd:element name="getResourceInfoRequest" type="xsd:string"/>
            <xsd:element name="getResourceInfoResponse" type="tns:ResourceInfoFullType"/>
            <xsd:complexType name="ResourceInfoFullType">
                <xsd:sequence>
                    <xsd:element name="id" type="xsd:long"/>
                    <xsd:element name="name" type="xsd:string"/>
                    <xsd:element name="idResource" type="xsd:long"/>
                    <xsd:element name="version" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="description" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="convertor" type="xsd:boolean" wsdl:required="false"/>
                    <xsd:element name="namespace" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="namespaceOut" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="createdBy" type="xsd:string"/>
                    <xsd:element name="createdDate" type="xsd:string"/>
                    <xsd:element name="editedBy" type="xsd:string" wsdl:required="false"/>
                    <xsd:element name="editedDate" type="xsd:string" wsdl:required="false"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="getResourceInfoListRequest">
                <xsd:complexType>
                    <xsd:sequence/>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="getResourceInfoListByNameRequest">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element name="name" type="xsd:string"/>
                    </xsd:sequence>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="getResourceInfoListByNamespaceRequest">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element name="namespace" type="xsd:string"/>
                    </xsd:sequence>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="getResourceInfoListResponse" type="tns:getResourceInfoList"/>
            <xsd:complexType name="getResourceInfoList">
                <xsd:sequence>
                    <xsd:element name="ResourceInfoFullType" type="tns:ResourceInfoFullType" minOccurs="0" maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="createdBy" type="xsd:string"/>

            <xsd:element name="response" type="xsd:string"/>
        </xsd:schema>
    </wsdl:types>

    <wsdl:message name="loadResourceRequest">
        <wsdl:part name="request" element="tns:loadResourceRequest"/>
    </wsdl:message>
    <wsdl:message name="loadResourceResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>

    <wsdl:message name="reloadResourceRequest">
        <wsdl:part name="request" element="tns:ResourceType"/>
    </wsdl:message>
    <wsdl:message name="reloadResourceResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>

    <wsdl:message name="removeResourceRequest">
        <wsdl:part name="request" element="tns:removeResourceRequest"/>
    </wsdl:message>
    <wsdl:message name="removeResourceResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>

    <wsdl:message name="getResourceRequest">
        <wsdl:part name="request" element="tns:getResourceRequest"/>
    </wsdl:message>
    <wsdl:message name="getResourceResponse">
        <wsdl:part name="response" element="tns:FullResourceType"/>
    </wsdl:message>

    <wsdl:message name="loadResourceInfoRequest">
        <wsdl:part name="request" element="tns:loadResourceInfoRequest"/>
    </wsdl:message>
    <wsdl:message name="loadResourceInfoResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>

    <wsdl:message name="editResourceInfoRequest">
        <wsdl:part name="request" element="tns:editResourceInfoRequest"/>
    </wsdl:message>
    <wsdl:message name="editResourceInfoResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>

    <wsdl:message name="removeResourceInfoRequest">
        <wsdl:part name="request" element="tns:removeResourceInfoRequest"/>
    </wsdl:message>
    <wsdl:message name="removeResourceInfoResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>

    <wsdl:message name="getResourceInfoRequest">
        <wsdl:part name="request" element="tns:getResourceInfoRequest"/>
    </wsdl:message>
    <wsdl:message name="getResourceInfoResponse">
        <wsdl:part name="response" element="tns:getResourceInfoResponse"/>
    </wsdl:message>

    <wsdl:message name="getResourceInfoListRequest">
        <wsdl:part name="request" element="tns:getResourceInfoListRequest"/>
    </wsdl:message>
    <wsdl:message name="getResourceInfoListResponse">
        <wsdl:part name="response" element="tns:getResourceInfoListResponse"/>
    </wsdl:message>

    <wsdl:message name="getResourceInfoListByNameRequest">
        <wsdl:part name="request" element="tns:getResourceInfoListByNameRequest"/>
    </wsdl:message>
    <wsdl:message name="getResourceInfoListByNameResponse">
        <wsdl:part name="response" element="tns:getResourceInfoListResponse"/>
    </wsdl:message>

    <wsdl:message name="getResourceInfoListByNamespaceRequest">
        <wsdl:part name="request" element="tns:getResourceInfoListByNamespaceRequest"/>
    </wsdl:message>
    <wsdl:message name="getResourceInfoListByNamespaceResponse">
        <wsdl:part name="response" element="tns:getResourceInfoListResponse"/>
    </wsdl:message>

    <wsdl:message name="createdBy">
        <wsdl:part name="header" element="tns:createdBy"/>
    </wsdl:message>

    <wsdl:binding name="registry-schema-serviceSOAP" type="tns:registry-schema-service">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>

        <wsdl:operation name="loadResource">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/load-resourceInfo"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="reloadResource">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/reload-resourceInfo"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="removeResource">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/remove-resourceInfo"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="getResource">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/get-resourceInfo"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="loadResourceInfo">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/load-resourceInfo-info"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="editResourceInfo">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/edit-resourceInfo-info"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="removeResourceInfo">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/remove-resourceInfo-info"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="getResourceInfo">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/get-resourceInfo-info"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="getResourceInfoList">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/get-resourceInfo-info-list"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="getResourceInfoListByName">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/get-resourceInfo-info-list-by-name"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="getResourceInfoListByNamespace">
            <soap:operation soapAction="http://www.entaxy.ru/registry-schema-service/get-resourceInfo-info-list-by-namespace"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="registry-schema-service">
        <wsdl:port name="registry-schema-serviceSOAP" binding="tns:registry-schema-serviceSOAP">
            <soap:address location="http://dev.esbHost.ru/"/>
        </wsdl:port>
    </wsdl:service>
    <wsdl:portType name="registry-schema-service">
        <!--Resource-->
        <wsdl:operation name="loadResource">
            <wsdl:input message="tns:loadResourceRequest"/>
            <wsdl:output message="tns:loadResourceResponse"/>
        </wsdl:operation>

        <wsdl:operation name="reloadResource">
            <wsdl:input message="tns:reloadResourceRequest"/>
            <wsdl:output message="tns:reloadResourceResponse"/>
        </wsdl:operation>

        <wsdl:operation name="removeResource">
            <wsdl:input message="tns:removeResourceRequest"/>
            <wsdl:output message="tns:removeResourceResponse"/>
        </wsdl:operation>

        <wsdl:operation name="getResource">
            <wsdl:input message="tns:getResourceRequest"/>
            <wsdl:output message="tns:getResourceResponse"/>
        </wsdl:operation>

        <!--Resource Info-->
        <wsdl:operation name="loadResourceInfo">
            <wsdl:input message="tns:loadResourceInfoRequest"/>
            <wsdl:output message="tns:loadResourceInfoResponse"/>
        </wsdl:operation>

        <wsdl:operation name="editResourceInfo">
            <wsdl:input message="tns:editResourceInfoRequest"/>
            <wsdl:output message="tns:editResourceInfoResponse"/>
        </wsdl:operation>

        <wsdl:operation name="removeResourceInfo">
            <wsdl:input message="tns:removeResourceInfoRequest"/>
            <wsdl:output message="tns:removeResourceInfoResponse"/>
        </wsdl:operation>

        <wsdl:operation name="getResourceInfo">
            <wsdl:input message="tns:getResourceInfoRequest"/>
            <wsdl:output message="tns:getResourceInfoResponse"/>
        </wsdl:operation>

        <wsdl:operation name="getResourceInfoList">
            <wsdl:input message="tns:getResourceInfoListRequest"/>
            <wsdl:output message="tns:getResourceInfoListResponse"/>
        </wsdl:operation>

        <wsdl:operation name="getResourceInfoListByName">
            <wsdl:input message="tns:getResourceInfoListByNameRequest"/>
            <wsdl:output message="tns:getResourceInfoListByNameResponse"/>
        </wsdl:operation>

        <wsdl:operation name="getResourceInfoListByNamespace">
            <wsdl:input message="tns:getResourceInfoListByNamespaceRequest"/>
            <wsdl:output message="tns:getResourceInfoListByNamespaceResponse"/>
        </wsdl:operation>
    </wsdl:portType>
</wsdl:definitions>
